get_organizations_access_report¶
Operation¶
get_organizations_access_report
async
¶
get_organizations_access_report(request: GetOrganizationsAccessReportInput | GetOrganizationsAccessReportInputDict, /, *, plugins: list[Plugin] | None = None) -> GetOrganizationsAccessReportOutput
get_organizations_access_report(*, plugins: list[Plugin] | None = None, **kwargs: Unpack[GetOrganizationsAccessReportInputDict]) -> GetOrganizationsAccessReportOutput
Retrieves the service last accessed data report for Organizations that
was previously generated using the
GenerateOrganizationsAccessReport
operation. This operation retrieves the status of your report job and
the report contents.
Depending on the parameters that you passed when you generated the report, the data returned could include different information. For details, see GenerateOrganizationsAccessReport.
To call this operation, you must be signed in to the management account in your organization. SCPs must be enabled for your organization root. You must have permissions to perform this operation. For more information, see Refining permissions using service last accessed data in the IAM User Guide.
For each service that principals in an account (root user, IAM users, or IAM roles) could access using SCPs, the operation returns details about the most recent access attempt. If there was no attempt, the service is listed without details about the most recent attempt to access the service. If the operation fails, it returns the reason that it failed.
By default, the list is sorted by service namespace.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
plugins
|
list[Plugin] | None
|
A list of callables that modify the configuration dynamically. Changes made by these plugins only apply for the duration of the operation execution and will not affect any other operation invocations. |
None
|
Returns:
| Type | Description |
|---|---|
GetOrganizationsAccessReportOutput
|
An instance of |
Input¶
Pass the input fields as keyword arguments, or pass a model or dictionary as the first positional argument. Pass plugins separately as a keyword argument.
Model¶
GetOrganizationsAccessReportInput
dataclass
¶
Bases: _SerdeShape
Dataclass for GetOrganizationsAccessReportInput structure.
Attributes¶
job_id
class-attribute
instance-attribute
¶
job_id: str | None = ...
The identifier of the request generated by the GenerateOrganizationsAccessReport operation.
marker
class-attribute
instance-attribute
¶
marker: str | None = ...
Use this parameter only when paginating results and only after you
receive a response indicating that the results are truncated. Set it to
the value of the Marker element in the response that you received to
indicate where the next call should start.
max_items
class-attribute
instance-attribute
¶
max_items: int | None = ...
Use this only when paginating results to indicate the maximum number of
items you want in the response. If additional items exist beyond the
maximum you specify, the IsTruncated response element is true.
If you do not include this parameter, the number of items defaults to
100. Note that IAM might return fewer results, even when there are more
results available. In that case, the IsTruncated response element
returns true, and Marker contains a value to include in the
subsequent call that tells the service where to continue from.
Dictionaries¶
GetOrganizationsAccessReportInputDict
¶
Bases: TypedDict
Dictionary form of GetOrganizationsAccessReportInput.
Attributes¶
job_id
instance-attribute
¶
The identifier of the request generated by the GenerateOrganizationsAccessReport operation.
marker
instance-attribute
¶
marker: str | None
Use this parameter only when paginating results and only after you
receive a response indicating that the results are truncated. Set it to
the value of the Marker element in the response that you received to
indicate where the next call should start.
max_items
instance-attribute
¶
max_items: int | None
Use this only when paginating results to indicate the maximum number of
items you want in the response. If additional items exist beyond the
maximum you specify, the IsTruncated response element is true.
If you do not include this parameter, the number of items defaults to
100. Note that IAM might return fewer results, even when there are more
results available. In that case, the IsTruncated response element
returns true, and Marker contains a value to include in the
subsequent call that tells the service where to continue from.
Output¶
GetOrganizationsAccessReportOutput
dataclass
¶
Bases: _SerdeShape
Dataclass for GetOrganizationsAccessReportOutput structure.
Attributes¶
access_details
class-attribute
instance-attribute
¶
access_details: list[AccessDetail] | None = ...
An object that contains details about the most recent attempt to access the service.
error_details
class-attribute
instance-attribute
¶
error_details: ErrorDetails | None = ...
Contains information about the reason that the operation failed.
This data type is used as a response element in the GetOrganizationsAccessReport, GetServiceLastAccessedDetails, and GetServiceLastAccessedDetailsWithEntities operations.
is_truncated
class-attribute
instance-attribute
¶
is_truncated: bool = ...
A flag that indicates whether there are more items to return. If your
results were truncated, you can make a subsequent pagination request
using the Marker request parameter to retrieve more items. Note that
IAM might return fewer than the MaxItems number of results even when
there are more results available. We recommend that you check
IsTruncated after every call to ensure that you receive all your
results.
job_completion_date
class-attribute
instance-attribute
¶
job_completion_date: datetime | None = ...
The date and time, in ISO 8601 date-time format, when the generated report job was completed or failed.
This field is null if the job is still in progress, as indicated by a
job status value of IN_PROGRESS.
job_creation_date
instance-attribute
¶
job_creation_date: datetime
The date and time, in ISO 8601 date-time format, when the report job was created.
marker
class-attribute
instance-attribute
¶
marker: str | None = ...
When IsTruncated is true, this element is present and contains the
value to use for the Marker parameter in a subsequent pagination
request.
number_of_services_accessible
class-attribute
instance-attribute
¶
number_of_services_accessible: int | None = ...
The number of services that the applicable SCPs allow account principals to access.
number_of_services_not_accessed
class-attribute
instance-attribute
¶
number_of_services_not_accessed: int | None = ...
The number of services that account principals are allowed but did not attempt to access.
response_metadata
class-attribute
instance-attribute
¶
Metadata about the response that produced this output. Use this to recover the request identifiers a service's support team needs in order to investigate a call. Members of the metadata are individually optional.